Index: /trunk/tools/eam/rebalance/launch.insert.check.errors.sh
===================================================================
--- /trunk/tools/eam/rebalance/launch.insert.check.errors.sh	(revision 42313)
+++ /trunk/tools/eam/rebalance/launch.insert.check.errors.sh	(revision 42314)
@@ -1,32 +1,68 @@
 #!/bin/csh 
 
-set run = v2
-set version = 20210702
+set list = "ipp100 ipp101 ipp102 ipp104 ipp105 ipp108 ipp112 ipp114 ipp115 ipp117 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+
+set mydir = /data/ipphome1.0/home/eugene/rebalance.20220922
+
+if ($#argv == 1) then
+  if ("$1" != "launch") then
+    echo "USAGE: launch.insert.check.errors.sh launch"
+    exit 2
+  endif
+  foreach f ($list)
+    echo ssh -f $f "cd $mydir && ./launch.insert.check.errors.sh"
+         ssh -f $f "cd $mydir && ./launch.insert.check.errors.sh"
+  end
+  exit 0
+endif
+
+set run = v0
+set version = 20220922
 
 set myhost = `hostname`
 set Nhost = `hostname | sed s/ipp//`
 
+# ipp100 - ipp117 (10 total) need to have  ~7TB moved
+# ipp123 - ipp126 ( 4 total) need to have  ~9TB moved
+# ipp134 - ipp139 ( 4 total) need to have ~12TB moved
+
 set target = NONE
 switch ($myhost)
-  case ipp127
-  case ipp134
-  case ipp137
-  set target = ipp143
+  # total of 23TB
+  case ipp100
+  case ipp101
+  case ipp123
+  set target = ipp153
   breaksw;
 
-  case ipp128
-  case ipp135
-  case ipp138
-  set target = ipp144
+  # total of 35TB
+  case ipp102
+  case ipp104
+  case ipp124
+  case ipp136
+  set target = ipp154
   breaksw;
 
-  case ipp129
-  set target = ipp146
+  # total of 35TB
+  case ipp105
+  case ipp108
+  case ipp125
+  case ipp137
+  set target = ipp155
   breaksw;
 
-  case ipp130
-  case ipp136
+  # total of 23TB
+  case ipp112
+  case ipp114
+  case ipp126
+  set target = ipp156
+  breaksw;
+
+  # total of 38TB
+  case ipp115
+  case ipp117
+  case ipp134
   case ipp139
-  set target = ipp147
+  set target = ipp157
   breaksw;
 endsw
Index: /trunk/tools/eam/rebalance/launch.insert.errors.sh
===================================================================
--- /trunk/tools/eam/rebalance/launch.insert.errors.sh	(revision 42313)
+++ /trunk/tools/eam/rebalance/launch.insert.errors.sh	(revision 42314)
@@ -1,32 +1,69 @@
 #!/bin/csh 
 
-set run = v2
-set version = 20210702
+# src machines:
+set list = "ipp100 ipp101 ipp102 ipp104 ipp105 ipp108 ipp112 ipp114 ipp115 ipp117 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+
+set mydir = /data/ipphome1.0/home/eugene/rebalance.20220922
+
+if ($#argv == 1) then
+  if ("$1" != "launch") then
+    echo "USAGE: launch.insert.errors.sh launch"
+    exit 2
+  endif
+  foreach f ($list)
+    echo ssh -f $f "cd $mydir && ./launch.insert.errors.sh"
+         ssh -f $f "cd $mydir && ./launch.insert.errors.sh"
+  end
+  exit 0
+endif
+
+set run = v0
+set version = 20220922
 
 set myhost = `hostname`
 set Nhost = `hostname | sed s/ipp//`
 
+# ipp100 - ipp117 (10 total) need to have  ~7TB moved
+# ipp123 - ipp126 ( 4 total) need to have  ~9TB moved
+# ipp134 - ipp139 ( 4 total) need to have ~12TB moved
+
 set target = NONE
 switch ($myhost)
-  case ipp127
-  case ipp134
-  case ipp137
-  set target = ipp143
+  # total of 23TB
+  case ipp100
+  case ipp101
+  case ipp123
+  set target = ipp153
   breaksw;
 
-  case ipp128
-  case ipp135
-  case ipp138
-  set target = ipp144
+  # total of 35TB
+  case ipp102
+  case ipp104
+  case ipp124
+  case ipp136
+  set target = ipp154
   breaksw;
 
-  case ipp129
-  set target = ipp146
+  # total of 35TB
+  case ipp105
+  case ipp108
+  case ipp125
+  case ipp137
+  set target = ipp155
   breaksw;
 
-  case ipp130
-  case ipp136
+  # total of 23TB
+  case ipp112
+  case ipp114
+  case ipp126
+  set target = ipp156
+  breaksw;
+
+  # total of 38TB
+  case ipp115
+  case ipp117
+  case ipp134
   case ipp139
-  set target = ipp147
+  set target = ipp157
   breaksw;
 endsw
Index: /trunk/tools/eam/rebalance/launch.rsync.check.logs.sh
===================================================================
--- /trunk/tools/eam/rebalance/launch.rsync.check.logs.sh	(revision 42314)
+++ /trunk/tools/eam/rebalance/launch.rsync.check.logs.sh	(revision 42314)
@@ -0,0 +1,76 @@
+#!/bin/csh 
+
+  set list = "ipp100 ipp101 ipp102 ipp104 ipp105 ipp108 ipp112 ipp114 ipp115 ipp117 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+# set list = "ipp105 ipp108 ipp112 ipp114 ipp115 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+# set list = "ipp100 ipp101 ipp102 ipp104 ipp117"
+
+set mydir = /data/ipphome1.0/home/eugene/rebalance.20220922
+
+if ($#argv == 1) then
+  if ("$1" != "launch") then
+    echo "USAGE: launch.rsync.check.logs.sh launch"
+    exit 2
+  endif
+  foreach f ($list)
+    echo ssh -f $f "cd $mydir && ./launch.rsync.check.logs.sh"
+         ssh -f $f "cd $mydir && ./launch.rsync.check.logs.sh"
+  end
+  exit 0
+endif
+
+## set the run value in rsync.check.logs.sh
+## set run = v2
+set version = 20220922
+
+set myhost = `hostname`
+set Nhost = `hostname | sed s/ipp//`
+
+set target = NONE
+switch ($myhost)
+  # total of 23TB
+  case ipp100
+  case ipp101
+  case ipp123
+  set target = ipp153
+  breaksw;
+
+  # total of 35TB
+  case ipp102
+  case ipp104
+  case ipp124
+  case ipp136
+  set target = ipp154
+  breaksw;
+
+  # total of 35TB
+  case ipp105
+  case ipp108
+  case ipp125
+  case ipp137
+  set target = ipp155
+  breaksw;
+
+  # total of 23TB
+  case ipp112
+  case ipp114
+  case ipp126
+  set target = ipp156
+  breaksw;
+
+  # total of 38TB
+  case ipp115
+  case ipp117
+  case ipp134
+  case ipp139
+  set target = ipp157
+  breaksw;
+endsw
+
+if ("$target" == "NONE") then
+  echo "need target"
+  exit 2
+endif
+
+set h = `hostname`; ./rsync.check.logs.sh > & $h.rsync.check.logs
+
+# e.g.: ssh -f ipp127 "cd `pwd` && ./launch.rsync.check.sh"
Index: /trunk/tools/eam/rebalance/launch.rsync.check.sh
===================================================================
--- /trunk/tools/eam/rebalance/launch.rsync.check.sh	(revision 42313)
+++ /trunk/tools/eam/rebalance/launch.rsync.check.sh	(revision 42314)
@@ -1,6 +1,24 @@
 #!/bin/csh 
 
-set run = v4
-set version = 20210702
+  set list = "ipp100 ipp101 ipp102 ipp104 ipp105 ipp108 ipp112 ipp114 ipp115 ipp117 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+# set list = "ipp105 ipp108 ipp112 ipp114 ipp115 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+# set list = "ipp100 ipp101 ipp102 ipp104 ipp117"
+
+set mydir = /data/ipphome1.0/home/eugene/rebalance.20220922
+
+if ($#argv == 1) then
+  if ("$1" != "launch") then
+    echo "USAGE: launch.rsync.check.sh launch"
+    exit 2
+  endif
+  foreach f ($list)
+    echo ssh -f $f "cd $mydir && ./launch.rsync.check.sh"
+         ssh -f $f "cd $mydir && ./launch.rsync.check.sh"
+  end
+  exit 0
+endif
+
+set run = v2
+set version = 20220922
 
 set myhost = `hostname`
@@ -9,24 +27,40 @@
 set target = NONE
 switch ($myhost)
-  case ipp127
-  case ipp134
-  case ipp137
-  set target = ipp143
+  # total of 23TB
+  case ipp100
+  case ipp101
+  case ipp123
+  set target = ipp153
   breaksw;
 
-  case ipp128
-  case ipp135
-  case ipp138
-  set target = ipp144
+  # total of 35TB
+  case ipp102
+  case ipp104
+  case ipp124
+  case ipp136
+  set target = ipp154
   breaksw;
 
-  case ipp129
-  set target = ipp146
+  # total of 35TB
+  case ipp105
+  case ipp108
+  case ipp125
+  case ipp137
+  set target = ipp155
   breaksw;
 
-  case ipp130
-  case ipp136
+  # total of 23TB
+  case ipp112
+  case ipp114
+  case ipp126
+  set target = ipp156
+  breaksw;
+
+  # total of 38TB
+  case ipp115
+  case ipp117
+  case ipp134
   case ipp139
-  set target = ipp147
+  set target = ipp157
   breaksw;
 endsw
@@ -37,6 +71,6 @@
 endif
 
-set v = 0 ; set h = `hostname` ; set t = $target; ./rebalance.mana rsync.check $h $v $t $v $version $version.chk > & $h.$v/log.rsync.check.$version.$run &
-set v = 1 ; set h = `hostname` ; set t = $target; ./rebalance.mana rsync.check $h $v $t $v $version $version.chk > & $h.$v/log.rsync.check.$version.$run &
+set v = 0 ; set h = `hostname` ; set t = $target; ./rebalance.mana rsync.check $h $v $t $v $version $version.$run.chk > & $h.$v/log.rsync.check.$version.$run &
+set v = 1 ; set h = `hostname` ; set t = $target; ./rebalance.mana rsync.check $h $v $t $v $version $version.$run.chk > & $h.$v/log.rsync.check.$version.$run &
 
 # e.g.: ssh -f ipp127 "cd `pwd` && ./launch.rsync.check.sh"
Index: /trunk/tools/eam/rebalance/launch.rsync.sh
===================================================================
--- /trunk/tools/eam/rebalance/launch.rsync.sh	(revision 42313)
+++ /trunk/tools/eam/rebalance/launch.rsync.sh	(revision 42314)
@@ -1,6 +1,27 @@
 #!/bin/csh 
 
-set run = v2
-set version = 20210702
+# set list = "ipp100 ipp101 ipp102 ipp104 ipp105 ipp108 ipp112 ipp114 ipp115 ipp117 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+# set list = "ipp105 ipp108 ipp112 ipp114 ipp115 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+  set list = "ipp100 ipp101 ipp102 ipp104 ipp117"
+set mydir = /data/ipphome1.0/home/eugene/rebalance.20220922
+
+if ($#argv == 1) then
+  if ("$1" != "launch") then
+    echo "USAGE: launch.find.sh launch"
+    exit 2
+  endif
+  foreach f ($list)
+    echo ssh -f $f "cd $mydir && ./launch.rsync.sh"
+         ssh -f $f "cd $mydir && ./launch.rsync.sh"
+#     echo ssh $f ps ux
+#          ssh $f ps ux
+#      ssh $f killall mana
+#      ssh $f killall find
+  end
+  exit 0
+endif
+
+set run = v0
+set version = 20220922
 
 set myhost = `hostname`
@@ -9,24 +30,40 @@
 set target = NONE
 switch ($myhost)
-  case ipp127
-  case ipp134
-  case ipp137
-  set target = ipp143
+  # total of 23TB
+  case ipp100
+  case ipp101
+  case ipp123
+  set target = ipp153
   breaksw;
 
-  case ipp128
-  case ipp135
-  case ipp138
-  set target = ipp144
+  # total of 35TB
+  case ipp102
+  case ipp104
+  case ipp124
+  case ipp136
+  set target = ipp154
   breaksw;
 
-  case ipp129
-  set target = ipp146
+  # total of 35TB
+  case ipp105
+  case ipp108
+  case ipp125
+  case ipp137
+  set target = ipp155
   breaksw;
 
-  case ipp130
-  case ipp136
+  # total of 23TB
+  case ipp112
+  case ipp114
+  case ipp126
+  set target = ipp156
+  breaksw;
+
+  # total of 38TB
+  case ipp115
+  case ipp117
+  case ipp134
   case ipp139
-  set target = ipp147
+  set target = ipp157
   breaksw;
 endsw
Index: /trunk/tools/eam/rebalance/launch.trash.check.sh
===================================================================
--- /trunk/tools/eam/rebalance/launch.trash.check.sh	(revision 42313)
+++ /trunk/tools/eam/rebalance/launch.trash.check.sh	(revision 42314)
@@ -1,6 +1,21 @@
 #!/bin/csh 
 
-set run = v2
-set version = 20210702
+set list = "ipp100 ipp101 ipp102 ipp104 ipp105 ipp108 ipp112 ipp114 ipp115 ipp117 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+set mydir = /data/ipphome1.0/home/eugene/rebalance.20220922
+
+if ($#argv == 1) then
+  if ("$1" != "launch") then
+    echo "USAGE: launch.trash.check.sh launch"
+    exit 2
+  endif
+  foreach f ($list)
+    echo ssh -f $f "cd $mydir && ./launch.trash.check.sh"
+         ssh -f $f "cd $mydir && ./launch.trash.check.sh"
+  end
+  exit 0
+endif
+
+set run = v0
+set version = 20220922
 
 set myhost = `hostname`
@@ -9,24 +24,40 @@
 set target = NONE
 switch ($myhost)
-  case ipp127
-  case ipp134
-  case ipp137
-  set target = ipp143
+  # total of 23TB
+  case ipp100
+  case ipp101
+  case ipp123
+  set target = ipp153
   breaksw;
 
-  case ipp128
-  case ipp135
-  case ipp138
-  set target = ipp144
+  # total of 35TB
+  case ipp102
+  case ipp104
+  case ipp124
+  case ipp136
+  set target = ipp154
   breaksw;
 
-  case ipp129
-  set target = ipp146
+  # total of 35TB
+  case ipp105
+  case ipp108
+  case ipp125
+  case ipp137
+  set target = ipp155
   breaksw;
 
-  case ipp130
-  case ipp136
+  # total of 23TB
+  case ipp112
+  case ipp114
+  case ipp126
+  set target = ipp156
+  breaksw;
+
+  # total of 38TB
+  case ipp115
+  case ipp117
+  case ipp134
   case ipp139
-  set target = ipp147
+  set target = ipp157
   breaksw;
 endsw
Index: /trunk/tools/eam/rebalance/launch.trash.empty.sh
===================================================================
--- /trunk/tools/eam/rebalance/launch.trash.empty.sh	(revision 42313)
+++ /trunk/tools/eam/rebalance/launch.trash.empty.sh	(revision 42314)
@@ -1,6 +1,21 @@
 #!/bin/csh 
 
-set run = v2
-set version = 20210702
+set list = "ipp100 ipp101 ipp102 ipp104 ipp105 ipp108 ipp112 ipp114 ipp115 ipp117 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+set mydir = /data/ipphome1.0/home/eugene/rebalance.20220922
+
+if ($#argv == 1) then
+  if ("$1" != "launch") then
+    echo "USAGE: launch.trash.empty.sh launch"
+    exit 2
+  endif
+  foreach f ($list)
+    echo ssh -f $f "cd $mydir && ./launch.trash.empty.sh"
+         ssh -f $f "cd $mydir && ./launch.trash.empty.sh"
+  end
+  exit 0
+endif
+
+set run = v0
+set version = 20220922
 
 set myhost = `hostname`
@@ -9,24 +24,40 @@
 set target = NONE
 switch ($myhost)
-  case ipp127
-  case ipp134
-  case ipp137
-  set target = ipp143
+  # total of 23TB
+  case ipp100
+  case ipp101
+  case ipp123
+  set target = ipp153
   breaksw;
 
-  case ipp128
-  case ipp135
-  case ipp138
-  set target = ipp144
+  # total of 35TB
+  case ipp102
+  case ipp104
+  case ipp124
+  case ipp136
+  set target = ipp154
   breaksw;
 
-  case ipp129
-  set target = ipp146
+  # total of 35TB
+  case ipp105
+  case ipp108
+  case ipp125
+  case ipp137
+  set target = ipp155
   breaksw;
 
-  case ipp130
-  case ipp136
+  # total of 23TB
+  case ipp112
+  case ipp114
+  case ipp126
+  set target = ipp156
+  breaksw;
+
+  # total of 38TB
+  case ipp115
+  case ipp117
+  case ipp134
   case ipp139
-  set target = ipp147
+  set target = ipp157
   breaksw;
 endsw
Index: /trunk/tools/eam/rebalance/launch.trash.errors.sh
===================================================================
--- /trunk/tools/eam/rebalance/launch.trash.errors.sh	(revision 42313)
+++ /trunk/tools/eam/rebalance/launch.trash.errors.sh	(revision 42314)
@@ -1,25 +1,65 @@
 #!/bin/csh 
 
+set list = "ipp100 ipp101 ipp102 ipp104 ipp105 ipp108 ipp112 ipp114 ipp115 ipp117 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+set mydir = /data/ipphome1.0/home/eugene/rebalance.20220922
+
+if ($#argv == 1) then
+  if ("$1" != "launch") then
+    echo "USAGE: launch.trash.errors.sh launch"
+    exit 2
+  endif
+  foreach f ($list)
+    echo ssh -f $f "cd $mydir && ./launch.trash.errors.sh"
+         ssh -f $f "cd $mydir && ./launch.trash.errors.sh"
+  end
+  exit 0
+endif
+
+set run = v0
+set version = 20220922
+
+set myhost = `hostname`
 set Nhost = `hostname | sed s/ipp//`
 
-set ver = "v0"
-set verdate = "20201209"
+set target = NONE
+switch ($myhost)
+  # total of 23TB
+  case ipp100
+  case ipp101
+  case ipp123
+  set target = ipp153
+  breaksw;
 
+  # total of 35TB
+  case ipp102
+  case ipp104
+  case ipp124
+  case ipp136
+  set target = ipp154
+  breaksw;
 
-set target = NONE
-if (($Nhost > 101) && ($Nhost <= 111)) then 
-  set target = ipp145
-endif
-if ($Nhost > 111) then 
-  set target = ipp146
-endif
+  # total of 35TB
+  case ipp105
+  case ipp108
+  case ipp125
+  case ipp137
+  set target = ipp155
+  breaksw;
 
-if (($Nhost == 100) || ($Nhost == 101)) then
-  set target = ipp140
-  set v = 0 ; set h = `hostname` ; set t = $target; grep ERROR /data/$h.$v/nebulous/??/rebalance/check.trash.$verdate.log >& $h.$v/errors.trash.$verdate.$ver &
-  set target = ipp133
-  set v = 1 ; set h = `hostname` ; set t = $target; grep ERROR /data/$h.$v/nebulous/??/rebalance/check.trash.$verdate.log >& $h.$v/errors.trash.$verdate.$ver &
-  exit 0
-endif
+  # total of 23TB
+  case ipp112
+  case ipp114
+  case ipp126
+  set target = ipp156
+  breaksw;
+
+  # total of 38TB
+  case ipp115
+  case ipp117
+  case ipp134
+  case ipp139
+  set target = ipp157
+  breaksw;
+endsw
 
 if ("$target" == "NONE") then
@@ -28,5 +68,5 @@
 endif
 
-set v = 0 ; set h = `hostname` ; set t = $target; grep ERROR /data/$h.$v/nebulous/??/rebalance/check.trash.$verdate.log >& $h.$v/errors.trash.$verdate.$ver &
-set v = 1 ; set h = `hostname` ; set t = $target; grep ERROR /data/$h.$v/nebulous/??/rebalance/check.trash.$verdate.log >& $h.$v/errors.trash.$verdate.$ver &
+set v = 0 ; set h = `hostname` ; set t = $target; grep ERROR /data/$h.$v/nebulous/??/rebalance/check.trash.$version.log >& $h.$v/errors.trash.$version.$run &
+set v = 1 ; set h = `hostname` ; set t = $target; grep ERROR /data/$h.$v/nebulous/??/rebalance/check.trash.$version.log >& $h.$v/errors.trash.$version.$run &
 
Index: /trunk/tools/eam/rebalance/launch.trash.sh
===================================================================
--- /trunk/tools/eam/rebalance/launch.trash.sh	(revision 42313)
+++ /trunk/tools/eam/rebalance/launch.trash.sh	(revision 42314)
@@ -1,6 +1,21 @@
 #!/bin/csh 
 
-set run = v2
-set version = 20210702
+set list = "ipp100 ipp101 ipp102 ipp104 ipp105 ipp108 ipp112 ipp114 ipp115 ipp117 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+set mydir = /data/ipphome1.0/home/eugene/rebalance.20220922
+
+if ($#argv == 1) then
+  if ("$1" != "launch") then
+    echo "USAGE: launch.trash.sh launch"
+    exit 2
+  endif
+  foreach f ($list)
+    echo ssh -f $f "cd $mydir && ./launch.trash.sh"
+         ssh -f $f "cd $mydir && ./launch.trash.sh"
+  end
+  exit 0
+endif
+
+set run = v0
+set version = 20220922
 
 set myhost = `hostname`
@@ -9,24 +24,40 @@
 set target = NONE
 switch ($myhost)
-  case ipp127
-  case ipp134
-  case ipp137
-  set target = ipp143
+  # total of 23TB
+  case ipp100
+  case ipp101
+  case ipp123
+  set target = ipp153
   breaksw;
 
-  case ipp128
-  case ipp135
-  case ipp138
-  set target = ipp144
+  # total of 35TB
+  case ipp102
+  case ipp104
+  case ipp124
+  case ipp136
+  set target = ipp154
   breaksw;
 
-  case ipp129
-  set target = ipp146
+  # total of 35TB
+  case ipp105
+  case ipp108
+  case ipp125
+  case ipp137
+  set target = ipp155
   breaksw;
 
-  case ipp130
-  case ipp136
+  # total of 23TB
+  case ipp112
+  case ipp114
+  case ipp126
+  set target = ipp156
+  breaksw;
+
+  # total of 38TB
+  case ipp115
+  case ipp117
+  case ipp134
   case ipp139
-  set target = ipp147
+  set target = ipp157
   breaksw;
 endsw
Index: /trunk/tools/eam/rebalance/rebalance.mana
===================================================================
--- /trunk/tools/eam/rebalance/rebalance.mana	(revision 42313)
+++ /trunk/tools/eam/rebalance/rebalance.mana	(revision 42314)
@@ -8,5 +8,6 @@
 $EXEC = exec
 
-$BIGSIZE = 30M
+# BIGSIZE was 30M, but some machines do not have enough files that large 
+$BIGSIZE = 15M
 $TB_BYTE = 1024^4
 $VERSION = NONE
@@ -223,5 +224,5 @@
     while ($waitForDay)
       # check if we should run the next rsync at this time:
-      # only run except between HST = 19:00 - 05:00 or UT = 09:00 - 19:00 
+      # only run except between HST = 19:00 - 05:00 or UT = 05:00 - 15:00 
       ctimes -abs now -var tnow
       $thour = 24.0*($tnow - int($tnow))
@@ -242,5 +243,7 @@
 
     echo "rsyncing $srcdir/ to $tgtdir/ : $movelog"
+    break -auto off
     exec rsync -auv --files-from=$movelist $srcdir/ $tgtdir/ >& $movelog
+    break -auto on
   end
 end
Index: /trunk/tools/eam/rebalance/rsync.check.logs.sh
===================================================================
--- /trunk/tools/eam/rebalance/rsync.check.logs.sh	(revision 42313)
+++ /trunk/tools/eam/rebalance/rsync.check.logs.sh	(revision 42314)
@@ -1,5 +1,6 @@
 #!/bin/csh
 
-set version = 20210702
+set run = v2
+set version = 20220922
 
 set showlist = 0
@@ -22,18 +23,18 @@
 echo "--- volume 0 ---"
 if ($showlist) then
-  cat /data/$myhost.0/nebulous/??/rebalance/movefiles.$version.chk.2.log | grep -v "total size" | grep -v "building file list" | grep -v "bytes  received" | grep -v '^../$' | grep -v '^$'
-  cat /data/$myhost.0/nebulous/??/rebalance/movefiles.$version.chk.2.log | grep "No such file or directory" 
+  cat /data/$myhost.0/nebulous/??/rebalance/movefiles.$version.$run.chk.log | grep -v "total size" | grep -v "building file list" | grep -v "bytes  received" | grep -v '^../$' | grep -v '^$'
+  cat /data/$myhost.0/nebulous/??/rebalance/movefiles.$version.$run.chk.log | grep "No such file or directory" 
 else
-  cat /data/$myhost.0/nebulous/??/rebalance/movefiles.$version.chk.2.log | grep -v "total size" | grep -v "building file list" | grep -v "bytes  received" | grep -v '^../$' | grep -v '^$' | wc -l
-  cat /data/$myhost.0/nebulous/??/rebalance/movefiles.$version.chk.2.log | grep "No such file or directory" | wc -l
+  cat /data/$myhost.0/nebulous/??/rebalance/movefiles.$version.$run.chk.log | grep -v "total size" | grep -v "building file list" | grep -v "bytes  received" | grep -v '^../$' | grep -v '^$' | wc -l
+  cat /data/$myhost.0/nebulous/??/rebalance/movefiles.$version.$run.chk.log | grep "No such file or directory" | wc -l
 endif
 
 echo "--- volume 1 ---"
 if ($showlist) then
-  cat /data/$myhost.1/nebulous/??/rebalance/movefiles.$version.chk.2.log | grep -v "total size" | grep -v "building file list" | grep -v "bytes  received" | grep -v '^../$' | grep -v '^$'
-  cat /data/$myhost.1/nebulous/??/rebalance/movefiles.$version.chk.2.log | grep "No such file or directory" 
+  cat /data/$myhost.1/nebulous/??/rebalance/movefiles.$version.$run.chk.log | grep -v "total size" | grep -v "building file list" | grep -v "bytes  received" | grep -v '^../$' | grep -v '^$'
+  cat /data/$myhost.1/nebulous/??/rebalance/movefiles.$version.$run.chk.log | grep "No such file or directory" 
 else
-  cat /data/$myhost.1/nebulous/??/rebalance/movefiles.$version.chk.2.log | grep -v "total size" | grep -v "building file list" | grep -v "bytes  received" | grep -v '^../$' | grep -v '^$' | wc -l
-  cat /data/$myhost.1/nebulous/??/rebalance/movefiles.$version.chk.2.log | grep "No such file or directory" | wc -l
+  cat /data/$myhost.1/nebulous/??/rebalance/movefiles.$version.$run.chk.log | grep -v "total size" | grep -v "building file list" | grep -v "bytes  received" | grep -v '^../$' | grep -v '^$' | wc -l
+  cat /data/$myhost.1/nebulous/??/rebalance/movefiles.$version.$run.chk.log | grep "No such file or directory" | wc -l
 endif
 
Index: /trunk/tools/eam/rebalance/run.nebstat.errors
===================================================================
--- /trunk/tools/eam/rebalance/run.nebstat.errors	(revision 42313)
+++ /trunk/tools/eam/rebalance/run.nebstat.errors	(revision 42314)
@@ -1,18 +1,50 @@
-#!/bin/csh -f
+#!/bin/csh
 
-if ($#argv != 1) then
-  echo "USAGE: run.netstat.errors (hostname.vol)"
+if (($#argv == 1) && ("$1" == "help")) then
+  echo "USAGE: run.nebstat.errors"
+  echo "USAGE: run.nebstat.errors launch"
   exit 2
 endif
 
-set src = $1
-set run = v2
-set version = 20210702
+# src machines:
+set list = "ipp100 ipp101 ipp102 ipp104 ipp105 ipp108 ipp112 ipp114 ipp115 ipp117 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
+
+set mydir = /data/ipphome1.0/home/eugene/rebalance.20220922
+
+if ($#argv == 1) then
+  if ("$1" != "launch") then
+    echo "USAGE: run.nebstat.errors launch"
+    exit 2
+  endif
+  foreach f ($list)
+    echo ssh -f $f "cd $mydir && ./run.nebstat.errors"
+         ssh -f $f "cd $mydir && ./run.nebstat.errors >& $f.nebstat.errors.log"
+  end
+  exit 0
+endif
+
+set run = v0
+set version = 20220922
+
+set myhost = `hostname`
+
+### volume 0:
+set src = $myhost.0
 
 rm -f $src/nebstat.errors.insert.$version.$run
 
 foreach f (`prcol 8 < $src/errors.insert.$version.$run`)
-  neb-stat `neb-reverse $f` >> $src/nebstat.errors.insert.$version.$run
-  echo $f
+  neb-stat `neb-reverse $f` >> $src/nebstat.errors.insert.$version.$run.stats
+  echo $f >> $src/nebstat.errors.insert.$version.$run.files
 end
 
+### volume 1:
+set src = $myhost.1
+
+rm -f $src/nebstat.errors.insert.$version.$run
+
+foreach f (`prcol 8 < $src/errors.insert.$version.$run`)
+  neb-stat `neb-reverse $f` >> $src/nebstat.errors.insert.$version.$run.stats
+  echo $f >> $src/nebstat.errors.insert.$version.$run.files
+end
+
Index: /trunk/tools/eam/rebalance/run.nebstat.insert.check.errors
===================================================================
--- /trunk/tools/eam/rebalance/run.nebstat.insert.check.errors	(revision 42313)
+++ /trunk/tools/eam/rebalance/run.nebstat.insert.check.errors	(revision 42314)
@@ -1,16 +1,50 @@
 #!/bin/csh -f
 
-if ($#argv != 1) then
-  echo "USAGE: run.netstat.errors (hostname.vol)"
+if (($#argv == 1) && ("$1" == "help")) then
+  echo "USAGE: run.nebstat.insert.check.errors"
+  echo "USAGE: run.nebstat.insert.check.errors launch"
   exit 2
 endif
 
-set src = $1
+# src machines:
+set list = "ipp100 ipp101 ipp102 ipp104 ipp105 ipp108 ipp112 ipp114 ipp115 ipp117 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
 
-rm -f $src/nebstat.errors.insert.check.20201209.v0
+set mydir = /data/ipphome1.0/home/eugene/rebalance.20220922
 
-foreach f (`prcol 5 < $src/errors.insert.check.20201209.v0`)
-  neb-stat `neb-reverse $f` >> $src/nebstat.errors.insert.check.20201209.v0
-  echo $f
+if ($#argv == 1) then
+  if ("$1" != "launch") then
+    echo "USAGE: run.nebstat.insert.check.errors launch"
+    exit 2
+  endif
+  foreach f ($list)
+    echo ssh -f $f "cd $mydir && ./run.nebstat.insert.check.errors"
+         ssh -f $f "cd $mydir && ./run.nebstat.insert.check.errors >& $f.nebstat.insert.check.errors.log"
+  end
+  exit 0
+endif
+
+set run = v0
+set version = 20220922
+
+set myhost = `hostname`
+
+### volume 0:
+set src = $myhost.0
+
+rm -f $src/nebstat.errors.insert.check.$version.$run
+
+foreach f (`prcol 5 < $src/errors.insert.check.$version.$run`)
+  neb-stat `neb-reverse $f` >> $src/nebstat.errors.insert.check.$version.$run.stats
+  echo $f >> $src/nebstat.errors.insert.check.$version.$run.files
 end
 
+### volume 1:
+set src = $myhost.1
+
+rm -f $src/nebstat.errors.insert.check.$version.$run
+
+foreach f (`prcol 5 < $src/errors.insert.check.$version.$run`)
+  neb-stat `neb-reverse $f` >> $src/nebstat.errors.insert.check.$version.$run.stats
+  echo $f >> $src/nebstat.errors.insert.check.$version.$run.files
+end
+
Index: /trunk/tools/eam/rebalance/run.nebstat.trash.check.errors
===================================================================
--- /trunk/tools/eam/rebalance/run.nebstat.trash.check.errors	(revision 42313)
+++ /trunk/tools/eam/rebalance/run.nebstat.trash.check.errors	(revision 42314)
@@ -1,16 +1,49 @@
 #!/bin/csh -f
 
-if ($#argv != 1) then
-  echo "USAGE: run.netstat.trash.check.errors (hostname.vol)"
+if (($#argv == 1) && ("$1" == "help")) then
+  echo "USAGE: run.nebstat.trash.check.errors"
+  echo "USAGE: run.nebstat.trash.check.errors launch"
   exit 2
 endif
 
-set src = $1
+# src machines:
+set list = "ipp100 ipp101 ipp102 ipp104 ipp105 ipp108 ipp112 ipp114 ipp115 ipp117 ipp123 ipp124 ipp125 ipp126 ipp134 ipp136 ipp137 ipp139"
 
-rm -f $src/nebstat.errors.trash.check.20201209.v0
+set mydir = /data/ipphome1.0/home/eugene/rebalance.20220922
 
-foreach f (`prcol 7 < $src/errors.trash.20201209.v0`)
-  neb-stat `neb-reverse $f` >> $src/nebstat.errors.trash.check.20201209.v0
-  echo $f
+if ($#argv == 1) then
+  if ("$1" != "launch") then
+    echo "USAGE: run.nebstat.trash.check.errors launch"
+    exit 2
+  endif
+  foreach f ($list)
+    echo ssh -f $f "cd $mydir && ./run.nebstat.trash.check.errors"
+         ssh -f $f "cd $mydir && ./run.nebstat.trash.check.errors >& $f.nebstat.trash.check.errors.log"
+  end
+  exit 0
+endif
+
+set run = v0
+set version = 20220922
+
+set myhost = `hostname`
+
+### volume 0:
+set src = $myhost.0
+
+rm -f $src/nebstat.errors.trash.check.$version.$run
+
+foreach f (`prcol 7 < $src/errors.trash.$version.$run`)
+  neb-stat `neb-reverse $f` >> $src/nebstat.errors.trash.check.$version.$run.stats
+  echo $f >> $src/nebstat.errors.trash.check.$version.$run.files
 end
 
+### volume 1:
+set src = $myhost.1
+
+rm -f $src/nebstat.errors.trash.check.$version.$run
+
+foreach f (`prcol 7 < $src/errors.trash.$version.$run`)
+  neb-stat `neb-reverse $f` >> $src/nebstat.errors.trash.check.$version.$run.stats
+  echo $f >> $src/nebstat.errors.trash.check.$version.$run.files
+end
